package com.sunxung.factoring.entity.biddingManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.biddingManagement.vo.BiddingBasicInfoResultVo;
import com.sunxung.factoring.entity.project.Project;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 招投标管理基本信息表
 * </p>
 *
 * @author author
 * @since 2023-11-16
 */
@TableName("c_bidding_basic_info")
public class CBiddingBasicInfo extends Project {

    /**
     * 项目Id
     */
    @TableField("c_project_information_id")
    @NotNull(message = "项目id不能为空！")
    private Long projectInformationId;

    /**
     * 贸易平台Id
     */
    @TableField("trading_platform_id")
    @NotNull(message = "贸易平台Id不能为空！")
    private Long tradingPlatformId;

    /**
     * 是否资格预审 0否  1是
     */
    @TableField("prequalification")
    @NotNull(message = "是否资格预审不能为空！")
    private Integer prequalification;

    /**
     * 业务当前阶段
     */
    @TableField("stage")
    private String stage;

    /**
     * 业务状态
     */
    @TableField("status")
    private String statusCode;

    /**
     * 招标文件id
     */
    @TableField(exist = false)
    private List<Long> tendersFileIds;

    /**
     * 投标文件id
     */
    @TableField(exist = false)
    private List<Long> biddingFileIds;

    /**
     * 招标文件
     */
    @TableField(exist = false)
    private List<FileStorageDO> tendersFileList;
    /**
     * 投标文件
     */
    @TableField(exist = false)
    private List<FileStorageDO> biddingFileList;

    @TableField(exist = false)
    private BiddingBasicInfoResultVo biddingBasicInfoResultVo;

    public Long getProjectInformationId() {
        return projectInformationId;
    }

    public void setProjectInformationId(Long projectInformationId) {
        this.projectInformationId = projectInformationId;
    }

    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }
    public Integer getPrequalification() {
        return prequalification;
    }

    public void setPrequalification(Integer prequalification) {
        this.prequalification = prequalification;
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage;
    }

    public String getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    public List<FileStorageDO> getTendersFileList() {
        return tendersFileList;
    }

    public List<Long> getTendersFileIds() {
        return tendersFileIds;
    }

    public void setTendersFileIds(List<Long> tendersFileIds) {
        this.tendersFileIds = tendersFileIds;
    }

    public List<Long> getBiddingFileIds() {
        return biddingFileIds;
    }

    public void setBiddingFileIds(List<Long> biddingFileIds) {
        this.biddingFileIds = biddingFileIds;
    }

    public void setTendersFileList(List<FileStorageDO> tendersFileList) {
        this.tendersFileList = tendersFileList;
    }

    public List<FileStorageDO> getBiddingFileList() {
        return biddingFileList;
    }

    public void setBiddingFileList(List<FileStorageDO> biddingFileList) {
        this.biddingFileList = biddingFileList;
    }

    public BiddingBasicInfoResultVo getBiddingBasicInfoResultVo() {
        return biddingBasicInfoResultVo;
    }

    public void setBiddingBasicInfoResultVo(BiddingBasicInfoResultVo biddingBasicInfoResultVo) {
        this.biddingBasicInfoResultVo = biddingBasicInfoResultVo;
    }
}
